Bug 129931 - kernel is unable to probe usb 2 hardik connect to usb 1.1 system first tim it is plug in , the second time the usb harddisk is probe right
kernel is unable to probe usb 2 hardik connect to usb 1.1 system first tim it...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_USB
  Show dependency treegraph
 
Reported: 2004-08-14 13:33 EDT by Knut J BJuland
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-12 03:30:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Knut J BJuland 2004-08-14 13:33:55 EDT
Description of problem:
When I boot with a freecom hardisk 80 mb my i815e syste is unable to
probe for the usb hard but mange to connect it when i unplu and replug it.

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.520

How reproducible:
every time

Steps to Reproduce:
1.boot with freecom usb 2 hard
2.
3.
  
Actual results:
system is unable to probe an connect usb harddik

Expected results:
I should be able to mount the system as root.

Additional info:

50 driver $Revision: 1.90 $ 8 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
divert: not allocating divert_blk for non-ethernet device lo
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
ICH2: IDE controller at PCI slot 0000:00:1f.1
ICH2: chipset revision 2
ICH2: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:DMA
hda: Maxtor 5T020H2, ATA DISK drive
hdb: IC35L060AVER07-0, ATA DISK drive
Using cfq io scheduler
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hdc: LG CD-RW CED-8080B, ATAPI CD/DVD-ROM drive
hdd: Pioneer DVD-ROM ATAPIModel DVD-105S 012, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 39062500 sectors (20000 MB) w/2048KiB Cache, CHS=38752/16/63,
UDMA(100)
 hda: hda1 hda2 hda3 < hda5 hda6 >
hdb: max request size: 128KiB
hdb: 120103200 sectors (61492 MB) w/1916KiB Cache, CHS=65535/16/63,
UDMA(100)
 hdb: hdb1 hdb2
hdc: ATAPI 32X CD-ROM CD-R/RW drive, 2048kB Cache, DMA
Uniform CD-ROM driver Revision: 3.20
hdd: ATAPI 40X DVD-ROM drive, 512kB Cache, UDMA(33)
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
input: Analog 3-axis 4-button joystick at pci0000:02:0c.1/gameport0
[TSC timer, 789 MHz clock, 902 ns res]
gameport: pci0000:02:0c.1 speed 1125 kHz
serio: i8042 AUX port at 0x60,0x64 irq 12
input: PS2++ Logitech Wheel Mouse on isa0060/serio1
serio: i8042 KBD port at 0x60,0x64 irq 1
input: AT Translated Set 2 keyboard on isa0060/serio0
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 4096 buckets, 32Kbytes
TCP: Hash tables configured (established 32768 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
ACPI: (supports S0 S1 S4 S5)
Freeing unused kernel memory: 136k freed
XFS mounting filesystem hdb2
Ending clean XFS mount for filesystem: hdb2
ACPI: Power Button (FF) [PWRF]
USB Universal Host Controller Interface driver v2.2
ACPI: PCI interrupt 0000:00:1f.2[D] -> GSI 10 (level, low) -> IRQ 10
uhci_hcd 0000:00:1f.2: UHCI Host Controller
PCI: Setting latency timer of device 0000:00:1f.2 to 64
uhci_hcd 0000:00:1f.2: irq 10, io base 0000ef80
uhci_hcd 0000:00:1f.2: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:1f.2: detected 2 ports
usb usb1: new device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: default language 0x0409
usb usb1: Product: UHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.8-1.520custom uhci_hcd
usb usb1: SerialNumber: 0000:00:1f.2
usb usb1: hotplug
usb usb1: adding 1-0:1.0 (config #1, interface 0)
usb 1-0:1.0: hotplug
hub 1-0:1.0: usb_probe_interface
hub 1-0:1.0: usb_probe_interface - got id
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
hub 1-0:1.0: standalone hub
hub 1-0:1.0: no power switching (usb 1.0)
hub 1-0:1.0: individual port over-current protection
hub 1-0:1.0: power on to power good time: 2ms
hub 1-0:1.0: local power source is good
uhci_hcd 0000:00:1f.2: port 1 portsc 01a3
hub 1-0:1.0: port 1, status 0301, change 0001, 1.5 Mb/s
hub 1-0:1.0: debounce: port 1: total 100ms stable 100ms status 0x301
usb 1-1: new low speed USB device using address 2
usb 1-1: skipped 1 descriptor after interface
usb 1-1: new device strings: Mfr=1, Product=3, SerialNumber=0
usb 1-1: default language 0x0409
usb 1-1: Product: Microsoft 3-Button Mouse with IntelliEye(TM)
usb 1-1: Manufacturer: Microsoft
usb 1-1: hotplug
usb 1-1: adding 1-1:1.0 (config #1, interface 0)
usb 1-1:1.0: hotplug
usbhid 1-1:1.0: usb_probe_interface
usbhid 1-1:1.0: usb_probe_interface - got id
input: USB HID v1.10 Mouse [Microsoft Microsoft 3-Button Mouse with
IntelliEye(TM)] on usb-0000:00:1f.2-1
device-mapper: 4.1.0-ioctl (2003-12-10) initialised: dm@uk.sistina.com
cdrom: open failed.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda6, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 1020088k swap on /dev/hdb1.  Priority:-1 extents:1
Adding 409616k swap on /dev/hda5.  Priority:-2 extents:1
parport0: PC-style at 0x378 [PCSPP,TRISTATE,EPP]
SCSI subsystem initialized
inserting floppy driver for 2.6.8-1.520custom
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
ACPI: PCI interrupt 0000:02:0a.0[A] -> GSI 3 (level, low) -> IRQ 3
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
0000:02:0a.0: 3Com PCI 3c905B Cyclone 100baseTx at 0xdc00. Vers LK1.1.19
divert: allocating divert_blk for eth0
divert: freeing divert_blk for eth0
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (3070 buckets, 24560 max) - 296 bytes per
conntrack
ACPI: PCI interrupt 0000:02:0a.0[A] -> GSI 3 (level, low) -> IRQ 3
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
0000:02:0a.0: 3Com PCI 3c905B Cyclone 100baseTx at 0xdc00. Vers LK1.1.19
divert: allocating divert_blk for eth0
Linux Kernel Card Services
  options:  [pci] [cardbus] [pm]
NET: Registered protocol family 10
Disabled Privacy Extensions on device 02368ae0(lo)
IPv6 over IPv4 tunneling driver
divert: not allocating divert_blk for non-ethernet device sit0
ACPI: PCI interrupt 0000:02:0c.0[A] -> GSI 9 (level, low) -> IRQ 9
eth0: no IPv6 routers present
parport0: PC-style at 0x378 [PCSPP,TRISTATE,EPP]
lp0: using parport0 (polling).
lp0: console ready
warning: process `update' used the obsolete bdflush system call
Fix your initscripts?
warning: process `update' used the obsolete bdflush system call
Fix your initscripts?
nvidia: module license 'NVIDIA' taints kernel.
ACPI: PCI interrupt 0000:01:00.0[A] -> GSI 11 (level, low) -> IRQ 11
NVRM: loading NVIDIA Linux x86 NVIDIA Kernel Module  1.0-6111  Tue Jul
27 07:55:38 PDT 2004
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode
Linux video capture interface: v1.00
bttv: driver version 0.9.15 loaded
bttv: using 8 buffers with 2080k (520 pages) each for capture
bttv: Bt8xx card found (0).
ACPI: PCI interrupt 0000:02:0b.0[A] -> GSI 11 (level, low) -> IRQ 11
bttv0: Bt878 (rev 17) at 0000:02:0b.0, irq: 11, latency: 64, mmio:
0xf47fe000
bttv0: detected: Pinnacle PCTV [card=39], PCI subsystem ID is 11bd:0012
bttv0: using: Pinnacle PCTV Studio/Rave [card=39,insmod option]
bttv0: gpio: en=00000000, out=00000000 in=00ff67ff [init]
bttv0: i2c: checking for MSP34xx @ 0x80... not found
bttv0: miro: id=25 tuner=1 radio=no stereo=no
bttv0: using tuner=1
bttv0: i2c: checking for MSP34xx @ 0x80... not found
bttv0: i2c: checking for TDA9875 @ 0xb0... not found
bttv0: i2c: checking for TDA7432 @ 0x8a... not found
tuner: chip found at addr 0xc0 i2c-bus bt878 #0 [sw]
tuner: type set to 1 (Philips PAL_I (FI1246 and compatibles)) by bt878
#0 [sw]
tuner: type already set to 1, ignoring request for 5
tuner: The type=<n> insmod option will go away soon.
tuner: Please use the tuner=<n> option provided by
tuner: tv aard core driver (bttv, saa7134, ...) instead.
bttv0: registered device video0
bttv0: registered device vbi0
bttv0: PLL: 28636363 => 35468950 .. ok
uhci_hcd 0000:00:1f.2: port 2 portsc 0093
hub 1-0:1.0: port 2, status 0101, change 0001, 12 Mb/s
hub 1-0:1.0: debounce: port 2: total 100ms stable 100ms status 0x101
usb 1-2: new full speed USB device using address 3
usb 1-2: new device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-2: default language 0x0409
usb 1-2: Product: FHD-Classic
usb 1-2: Manufacturer: Freecom Technologies
usb 1-2: SerialNumber: 100000000000000002927
usb 1-2: hotplug
usb 1-2: adding 1-2:1.0 (config #1, interface 0)
usb 1-2:1.0: hotplug
Initializing USB Mass Storage driver...
usb-storage 1-2:1.0: usb_probe_interface
usb-storage 1-2:1.0: usb_probe_interface - got id
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
atkbd.c: Keyboard on isa0060/serio0 reports too many keys pressed.
input: AT Translated Set 2 keyboard on isa0060/serio0
usb 1-2: control timeout on ep0in
uhci_hcd 0000:00:1f.2: uhci_result_control: failed with status 440000
[19be32a0] link (17be31e2) element (172d51c0)
  0: [192d51c0] link (172d5200) e0 Stalled CRC/Timeo Length=7 MaxLen=7
DT0 EndPt=0 Dev=3, PID=2d(SETUP) (buf=0bb57a60)
  1: [192d5200] link (172d5240) e3 SPD Active Length=0 MaxLen=1 DT1
EndPt=0 Dev=3, PID=69(IN) (buf=17d29ce0)
  2: [192d5240] link (00000001) e3 IOC Active Length=0 MaxLen=7ff DT1
EndPt=0 Dev=3, PID=e1(OUT) (buf=00000000)

uhci_hcd 0000:00:1f.2: uhci_result_control: failed with status 440000
[19be3270] link (17be31e2) element (172d5040)
  0: [192d5040] link (172d5080) e0 Stalled CRC/Timeo Length=7 MaxLen=7
DT0 EndPt=0 Dev=3, PID=2d(SETUP) (buf=0bb57a60)
  1: [192d5080] link (172d50c0) e3 SPD Active Length=0 MaxLen=3f DT1
EndPt=0 Dev=3, PID=69(IN) (buf=17d29ce0)
  2: [192d50c0] link (172d5100) e3 SPD Active Length=0 MaxLen=3f DT0
EndPt=0 Dev=3, PID=69(IN) (buf=17d29d20)
  3: [192d5100] link (172d5140) e3 SPD Active Length=0 MaxLen=3f DT1
EndPt=0 Dev=3, PID=69(IN) (buf=17d29d60)
  4: [192d5140] link (172d5180) e3 SPD Active Length=0 MaxLen=3e DT0
EndPt=0 Dev=3, PID=69(IN) (buf=17d29da0)
  5: [192d5180] link (00000001) e3 IOC Active Length=0 MaxLen=7ff DT1
EndPt=0 Dev=3, PID=e1(OUT) (buf=00000000)

uhci_hcd 0000:00:1f.2: uhci_result_control: failed with status 440000
[19be32a0] link (17be31e2) element (172d51c0)
  0: [192d51c0] link (172d5200) e0 Stalled CRC/Timeo Length=7 MaxLen=7
DT0 EndPt=0 Dev=3, PID=2d(SETUP) (buf=0bb57a60)
  1: [192d5200] link (172d5240) e3 SPD Active Length=0 MaxLen=1 DT1
EndPt=0 Dev=3, PID=69(IN) (buf=17d29ce0)
  2: [192d5240] link (00000001) e3 IOC Active Length=0 MaxLen=7ff DT1
EndPt=0 Dev=3, PID=e1(OUT) (buf=00000000)

uhci_hcd 0000:00:1f.2: uhci_result_control: failed with status 440000
[19be3270] link (17be31e2) element (172d5040)
  0: [192d5040] link (172d5080) e0 Stalled CRC/Timeo Length=7 MaxLen=7
DT0 EndPt=0 Dev=3, PID=2d(SETUP) (buf=0bb57a60)
  1: [192d5080] link (172d50c0) e3 SPD Active Length=0 MaxLen=3f DT1
EndPt=0 Dev=3, PID=69(IN) (buf=17d29ce0)
  2: [192d50c0] link (172d5100) e3 SPD Active Length=0 MaxLen=3f DT0
EndPt=0 Dev=3, PID=69(IN) (buf=17d29d20)
  3: [192d5100] link (172d5140) e3 SPD Active Length=0 MaxLen=3f DT1
EndPt=0 Dev=3, PID=69(IN) (buf=17d29d60)
  4: [192d5140] link (172d5180) e3 SPD Active Length=0 MaxLen=3e DT0
EndPt=0 Dev=3, PID=69(IN) (buf=17d29da0)
  5: [192d5180] link (00000001) e3 IOC Active Length=0 MaxLen=7ff DT1
EndPt=0 Dev=3, PID=e1(OUT) (buf=00000000)

uhci_hcd 0000:00:1f.2: uhci_result_control: failed with status 440000
[19be32a0] link (17be31e2) element (172d51c0)
  0: [192d51c0] link (172d5200) e0 Stalled CRC/Timeo Length=7 MaxLen=7
DT0 EndPt=0 Dev=3, PID=2d(SETUP) (buf=0bb57a60)
  1: [192d5200] link (172d5240) e3 SPD Active Length=0 MaxLen=1 DT1
EndPt=0 Dev=3, PID=69(IN) (buf=17d29ce0)
  2: [192d5240] link (00000001) e3 IOC Active Length=0 MaxLen=7ff DT1
EndPt=0 Dev=3, PID=e1(OUT) (buf=00000000)

uhci_hcd 0000:00:1f.2: uhci_result_control: failed with status 440000
[19be3270] link (17be31e2) element (172d5040)
  0: [192d5040] link (172d5080) e0 Stalled CRC/Timeo Length=7 MaxLen=7
DT0 EndPt=0 Dev=3, PID=2d(SETUP) (buf=17051040)
  1: [192d5080] link (172d50c0) e3 SPD Active Length=0 MaxLen=0 DT1
EndPt=0 Dev=3, PID=69(IN) (buf=17708180)
  2: [192d50c0] link (00000001) e3 IOC Active Length=0 MaxLen=7ff DT1
EndPt=0 Dev=3, PID=e1(OUT) (buf=00000000)

usb-storage: probe of 1-2:1.0 failed with error -1
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
uhci_hcd 0000:00:1f.2: port 2 portsc 008a
hub 1-0:1.0: port 2, status 0100, change 0003, 12 Mb/s
usb 1-2: USB disconnect, address 3
usb 1-2: usb_disable_device nuking all URBs
usb 1-2: unregistering interface 1-2:1.0
usb 1-2:1.0: hotplug
usb 1-2: unregistering device
usb 1-2: hotplug
hub 1-0:1.0: debounce: port 2: total 100ms stable 100ms status 0x100
uhci_hcd 0000:00:1f.2: port 2 portsc 0093
hub 1-0:1.0: port 2, status 0101, change 0001, 12 Mb/s
hub 1-0:1.0: debounce: port 2: total 100ms stable 100ms status 0x101
usb 1-2: new full speed USB device using address 4
usb 1-2: new device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-2: default language 0x0409
usb 1-2: Product: FHD-Classic
usb 1-2: Manufacturer: Freecom Technologies
usb 1-2: SerialNumber: 100000000000000002927
usb 1-2: hotplug
usb 1-2: adding 1-2:1.0 (config #1, interface 0)
usb 1-2:1.0: hotplug
usb-storage 1-2:1.0: usb_probe_interface
usb-storage 1-2:1.0: usb_probe_interface - got id
scsi0 : SCSI emulation for USB Mass Storage devices
  Vendor: HDS72258  Model: 0VLAT20           Rev: V32O
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi generic sg0 at scsi0, channel 0, id 0, lun 0,  type 0
USB Mass Storage device found at 4
SCSI device sda: 160836481 512-byte hdwr sectors (82348 MB)
sda: assuming drive cache: write through
 sda:Current sda: sense key No Sense
 sda1
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
Comment 1 Dave Jones 2005-10-05 20:29:35 EDT
fixed in later kernels ?
Comment 2 Knut J BJuland 2005-11-12 03:30:07 EST
It is fixed in later kernel

Note You need to log in before you can comment on or make changes to this bug.